import pygame

BLACK =  (0,0,0)

GRAVITY = 0.1
THRUST = -0.2
DRAG = 0.01
STEER = 0.05

SCR_WIDTH = 600
SCR_HEIGHT = 600

pygame.init()
clock = pygame.time.Clock()
screen = pygame.display.set_mode((SCR_WIDTH, SCR_HEIGHT))

# load graphics...
lander = pygame.image.load("lander.bmp")
pad = pygame.image.load("landing_pad.png")

# some variables...
actual_x = 100.0
actual_y = 0.0
lander_rect = lander.get_rect()

pad_rect = pad.get_rect()
pad_rect.x = 400
pad_rect.y = SCR_HEIGHT - pad_rect.height

velocity_x = 0
velocity_y = 0.5

while True:
    pygame.event.pump()
    clock.tick(60) #frames per second

    # capture keyboard input...
    keys = pygame.key.get_pressed() 

    # check for exit (ESC)...
    if keys[pygame.K_ESCAPE] or keys[pygame.K_q]:
        break

    if keys[pygame.K_UP]:
        velocity_y +=  THRUST   
    else:    
        velocity_y += GRAVITY
    
    if keys[pygame.K_LEFT]:
        velocity_x -= STEER
        
    elif keys[pygame.K_RIGHT]:
        velocity_x += STEER
    
    if velocity_x > 0:
        velocity_x -= DRAG

    if velocity_x < 0:
        velocity_x += DRAG 

    # check lader has landed...
    if pad_rect.colliderect(lander_rect):
        velocity_y = 0
        velocity_x = 0

    actual_x += velocity_x
    actual_y += velocity_y

    lander_rect.x = actual_x
    lander_rect.y = actual_y
    
    #draw stuff...
    screen.fill(BLACK)
    screen.blit(pad, pad_rect)
    screen.blit(lander, lander_rect)

    pygame.display.flip()

    
pygame.quit()
